#pragma once
#include "midi/LaunchpadColor.h"

namespace colors
{

typedef const midi::LaunchpadColor Color;

Color dark(0, 0);

Color activeOption(3, 3);
Color inactiveOption(1, 2);

Color inactiveOnBeat(0, 2);
Color activeOnBeat(2, 3);
Color inactiveOffOnBeat(2, 0);
Color activeOffOnBeat(3, 2);
Color inactiveContinuingBeat(1, 1);
Color activeContinuingBeat(2, 2);

Color inactiveBeatsCount(1, 0);
Color activeBeatsCount(3, 1);
Color sequenceExpansionButton(0, 1);
Color sequenceReductionErasingConflictsButton(2, 0);
Color inactiveBpmCount(0, 1);
Color activeBpmCount(1, 3);

}; // color
